Bug 8869 - netscape / sun DS schema not uptodate
netscape / sun DS schema not uptodate
Status: RESOLVED FIXED
Product: Samba 3.6
Classification: Unclassified
Component: Domain Control
3.6.4
All All
: P5 normal
: ---
Assigned To: Guenther Deschner
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-17 11:04 UTC by Björn Jacke
Modified: 2012-05-08 12:24 UTC (History)
1 user (show)

See Also:
gd: review+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Björn Jacke 2012-04-17 11:04:33 UTC
I notices some objectclass violations in wireshark which are cause by missing attributes in the netscape schema file:

bjacke@pell:~/SVN/master> grep 1.3.6.1.4.1.7165.2.1.5 ./examples/LDAP/samba-schema-netscapeds5.x
attributeTypes: ( 1.3.6.1.4.1.7165.2.1.54 NAME 'sambaPasswordHistory' DESC 'Concatenated MD4 hashes of the unicode passwords used on this account' EQUALITY caseIgnoreIA5Match SYNTAX 1.3.6.1.4.1.1466.115.121.1.26{32} )
attributeTypes: ( 1.3.6.1.4.1.7165.2.1.55 NAME 'sambaLogonHours' DESC 'Logon Hours' EQUALITY caseIgnoreIA5Match SYNTAX 1.3.6.1.4.1.1466.115.121.1.26{42} SINGLE-VALUE )

bjacke@pell:~/SVN/master> grep 1.3.6.1.4.1.7165.2.1.5 ./examples/LDAP/samba.schema
#attributetype ( 1.3.6.1.4.1.7165.2.1.5 NAME 'logonTime'
attributetype ( 1.3.6.1.4.1.7165.2.1.55 NAME 'sambaLogonHours'
attributetype ( 1.3.6.1.4.1.7165.2.1.54 NAME 'sambaPasswordHistory'
attributetype ( 1.3.6.1.4.1.7165.2.1.51 NAME 'sambaSIDList'
##attributetype ( 1.3.6.1.4.1.7165.2.1.50 NAME 'sambaPrivName' 
##attributetype ( 1.3.6.1.4.1.7165.2.1.52 NAME 'sambaPrivilegeList'
attributetype ( 1.3.6.1.4.1.7165.2.1.53 NAME 'sambaTrustFlags'
attributetype ( 1.3.6.1.4.1.7165.2.1.58 NAME 'sambaMinPwdLength'
attributetype ( 1.3.6.1.4.1.7165.2.1.59 NAME 'sambaPwdHistoryLength'

the missing attributes have been missing at least since Samba 3.2.
Comment 1 Björn Jacke 2012-04-17 12:32:52 UTC
the FDS schema file works fine with the netscape/sun DS and that one is uptodate. We should remove the bogous samba-schema-netscapeds5.x and place a samba-schema-netscapeds5.x.README there instead pointing to the FDS schema file. Any objections?
Comment 2 Björn Jacke 2012-04-20 11:01:32 UTC
b31f773ae1640313dc1ba86b334e9bbb9cb31bd6 in master contains the replacement of the ancient schema file with a README file. Karo, can you pick this to 3.6, 3.5, 3.4, 3.3 and 3.2? It's up to you if you inlcude the older of the mentioned branches ...
Comment 3 Karolin Seeger 2012-05-07 16:30:00 UTC
Re-assigning to Günther for review.
Comment 4 Guenther Deschner 2012-05-08 11:33:20 UTC
Yes, that looks fine.
Comment 5 Karolin Seeger 2012-05-08 12:24:50 UTC
Pushed to v3-6-test and v3-5-test.
Closing out bug report.

Thanks!